#!/bin/sh

TEST_LABEL='examples_gettext_demo'
TEST_ARGS="test/subject/$TEST_LABEL.md"
TEST_FORMATS='html'

. "${0%/*}/lib/common.sh" || exit 1

test_create () {
	local ret
	# Create reference .html, ALREADY TRANSLATED .po file, .mo file.
	env TEST_RUNNER_REFERENCE_DIR="${REFERENCE_DIR:?}" \
		MDVIEW="$MDVIEW_BIN --html" \
		sh examples/gettext_demo.sh > "${REFERENCE_STEM:?}.html"
	ret=$?
	if [ $ret -ne 0 ]; then
		printf "\033[7;31m  %s  \033[0m %s %s\n" "ERROR" "$TEST_LABEL" "po"
		ret=1
	fi
	return $ret
}

#test_diff () { diff_default "$1" "$2"; }

export TEXTDOMAINDIR="${REFERENCE_DIR:?}"
main "$@"
