%%textdomain gettext_demo
<!-- everything up to the next %%nopot no directive will not be translated -->
%%nopot yes

### Instructions

To view this file - **gettext_demo.md** - _as intended_, execute the following
commands in the directory where this markdown document is located:

```sh
env MDVIEW=mdview sh ./examples/gettext_demo.sh
```

### Test Subject

This section contains the test _subject_, that is, the markdown text from which
mdview will extract gettext "message ids".  Normally, the extracted text is
handed to a translator. Instead for this test the translation will be simulated
by replacing all translated letters with their uppercase equivalent.

Here is the _subject_:

---

<!-- begin test subject -->
    Codeblock translation is only enabled for
    fenced blocks that start with "```gettext".

`Code spans are translated`.  
[Link text is translated](http://www.example.com) including the URL.  
Likewise <http://www.example.com>.  
<!-- end test subject -->

---

### Test reference

This section contains the test _reference_, that is, what you should see as a
result of applying the translation.  This text is static, it will not change. It
is for you to compare it with the result, which is generated dynamically.

Here is the _reference_:

---

    CODEBLOCK TRANSLATION IS ONLY ENABLED FOR
    FENCED BLOCKS THAT START WITH "```GETTEXT".

`CODE SPANS ARE TRANSLATED`.  
[LINK TEXT IS TRANSLATED](HTTP://WWW.EXAMPLE.COM) INCLUDING THE URL.  
LIKEWISE <HTTP://WWW.EXAMPLE.COM>.  

---

_Note about internet links: when "`http://`" is replaced by "`HTTP://`" the URL becomes
invalid._

### Test result

This section displays the test _result_ below.
You should see uppercase letters where the translation was applied.

---
%%nopot no
<!-- translation starts after this line -->

```gettext
Codeblock translation is only enabled for
fenced blocks that start with "```gettext".
```

`Code spans are translated`.  
[Link text is translated](http://www.example.com) including the URL.  
Likewise <http://www.example.com>.  

---
